#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   at css msg
modify  record  :   2019-05-25 create file
"""

at_at_msg_enum_table = {
   0x01 : "ID_AT_CMD_PCUI",
   0x02 : "ID_AT_CMD_CTRL",
   0x03 : "ID_AT_CMD_PCUI2",
   0x04 : "ID_AT_CMD_MODEM",
   0x05 : "ID_AT_CMD_NDIS",
   0x11 : "ID_AT_CMD_UART",
   0x12 : "ID_AT_CMD_HSUART",
   0x21 : "ID_AT_CMD_SOCK",
   0x22 : "ID_AT_CMD_APPSOCK",
   0x31 : "ID_AT_CMD_HSIC1",
   0x32 : "ID_AT_CMD_HSIC2",
   0x33 : "ID_AT_CMD_HSIC3",
   0x34 : "ID_AT_CMD_HSIC4",
   0x35 : "ID_AT_CMD_HSIC_MODEM",
   0x41 : "ID_AT_CMD_MUX1",
   0x42 : "ID_AT_CMD_MUX2",
   0x43 : "ID_AT_CMD_MUX3",
   0x44 : "ID_AT_CMD_MUX4",
   0x45 : "ID_AT_CMD_MUX5",
   0x46 : "ID_AT_CMD_MUX6",
   0x47 : "ID_AT_CMD_MUX7",
   0x48 : "ID_AT_CMD_MUX8",
   0x51 : "ID_AT_CMD_APP",
   0x52 : "ID_AT_CMD_APP1",
   0x53 : "ID_AT_CMD_APP2",
   0x54 : "ID_AT_CMD_APP3",
   0x55 : "ID_AT_CMD_APP4",
   0x56 : "ID_AT_CMD_APP5",
   0x57 : "ID_AT_CMD_APP6",
   0x58 : "ID_AT_CMD_APP7",
   0x59 : "ID_AT_CMD_APP8",
   0x5A : "ID_AT_CMD_APP9",
   0x5B : "ID_AT_CMD_APP10",
   0x5C : "ID_AT_CMD_APP11",
   0x5D : "ID_AT_CMD_APP12",
   0x5E : "ID_AT_CMD_APP13",
   0x5F : "ID_AT_CMD_APP14",
   0x60 : "ID_AT_CMD_APP15",
   0x61 : "ID_AT_CMD_APP16",
   0x62 : "ID_AT_CMD_APP17",
   0x63 : "ID_AT_CMD_APP18",
   0x64 : "ID_AT_CMD_APP19",
   0x65 : "ID_AT_CMD_APP20",
   0x66 : "ID_AT_CMD_APP21",
   0x67 : "ID_AT_CMD_APP22",
   0x68 : "ID_AT_CMD_APP23",
   0x69 : "ID_AT_CMD_APP24",
   0x6A : "ID_AT_CMD_APP25",
   0x6B : "ID_AT_CMD_APP26",
   0x6C : "ID_AT_CMD_APP27",
   0x6D : "ID_AT_CMD_APP28",
   0x6E : "ID_AT_CMD_APP29",
   0x6F : "ID_AT_CMD_APP30",
   0x70 : "ID_AT_CMD_APP31",
   0x71 : "ID_AT_CMD_APP32",
   0x72 : "ID_AT_CMD_APP33",
   0x73 : "ID_AT_CMD_APP34",
   0x74 : "ID_AT_CMD_APP35",
   0x75 : "ID_AT_CMD_APP36",
   0x76 : "ID_AT_CMD_APP37",
   0x77 : "ID_AT_CMD_APP38",
   0x78 : "ID_AT_CMD_APP39",
   0x79 : "ID_AT_CMD_APP40",
   0x7A : "ID_AT_CMD_APP41",
   0x7B : "ID_AT_CMD_APP42",
   0x7C : "ID_AT_CMD_APP43",
   0x7D : "ID_AT_CMD_APP44",
   0x7E : "ID_AT_CMD_APP45",
   0x7F : "ID_AT_CMD_APP46",
   0x80 : "ID_AT_CMD_APP47",
   0x81 : "ID_AT_CMD_APP48",
   0x82 : "ID_AT_CMD_APP49",
   0x83 : "ID_AT_CMD_APP50",
   0x84 : "ID_AT_CMD_APP51",
   0x85 : "ID_AT_CMD_APP52",
   0xFC : "ID_AT_NCM_CONN_STATUS_CMD",
   0xFD : "ID_AT_WATER_LOW_CMD",
   0xFE : "ID_AT_SWITCH_CMD_MODE",
   0xFF : "ID_AT_COMBIN_BLOCK_CMD",
 0x1001 : "ID_AT_COMM_CCPU_RESET_START",
 0x1002 : "ID_AT_COMM_CCPU_RESET_END",
 0x1003 : "ID_AT_COMM_HIFI_RESET_START",
 0x1004 : "ID_AT_COMM_HIFI_RESET_END",
 0x2001 : "ID_AT_MNTN_RESULT_PCUI",
 0x2002 : "ID_AT_MNTN_RESULT_CTRL",
 0x2003 : "ID_AT_MNTN_RESULT_PCUI2",
 0x2004 : "ID_AT_MNTN_RESULT_MODEM",
 0x2005 : "ID_AT_MNTN_RESULT_NDIS",
 0x2011 : "ID_AT_MNTN_RESULT_UART",
 0x2012 : "ID_AT_MNTN_RESULT_HSUART",
 0x2021 : "ID_AT_MNTN_RESULT_SOCK",
 0x2022 : "ID_AT_MNTN_RESULT_APPSOCK",
 0x2031 : "ID_AT_MNTN_RESULT_HSIC1",
 0x2032 : "ID_AT_MNTN_RESULT_HSIC2",
 0x2033 : "ID_AT_MNTN_RESULT_HSIC3",
 0x2034 : "ID_AT_MNTN_RESULT_HSIC4",
 0x2035 : "ID_AT_MNTN_RESULT_HSIC_MODEM",
 0x2041 : "ID_AT_MNTN_RESULT_MUX1",
 0x2042 : "ID_AT_MNTN_RESULT_MUX2",
 0x2043 : "ID_AT_MNTN_RESULT_MUX3",
 0x2044 : "ID_AT_MNTN_RESULT_MUX4",
 0x2045 : "ID_AT_MNTN_RESULT_MUX5",
 0x2046 : "ID_AT_MNTN_RESULT_MUX6",
 0x2047 : "ID_AT_MNTN_RESULT_MUX7",
 0x2048 : "ID_AT_MNTN_RESULT_MUX8",
 0x2051 : "ID_AT_MNTN_RESULT_APP",
 0x2052 : "ID_AT_MNTN_RESULT_APP1",
 0x2053 : "ID_AT_MNTN_RESULT_APP2",
 0x2054 : "ID_AT_MNTN_RESULT_APP3",
 0x2055 : "ID_AT_MNTN_RESULT_APP4",
 0x2056 : "ID_AT_MNTN_RESULT_APP5",
 0x2057 : "ID_AT_MNTN_RESULT_APP6",
 0x2058 : "ID_AT_MNTN_RESULT_APP7",
 0x2059 : "ID_AT_MNTN_RESULT_APP8",
 0x205A : "ID_AT_MNTN_RESULT_APP9",
 0x205B : "ID_AT_MNTN_RESULT_APP10",
 0x205C : "ID_AT_MNTN_RESULT_APP11",
 0x205D : "ID_AT_MNTN_RESULT_APP12",
 0x205E : "ID_AT_MNTN_RESULT_APP13",
 0x205F : "ID_AT_MNTN_RESULT_APP14",
 0x2060 : "ID_AT_MNTN_RESULT_APP15",
 0x2061 : "ID_AT_MNTN_RESULT_APP16",
 0x2062 : "ID_AT_MNTN_RESULT_APP17",
 0x2063 : "ID_AT_MNTN_RESULT_APP18",
 0x2064 : "ID_AT_MNTN_RESULT_APP19",
 0x2065 : "ID_AT_MNTN_RESULT_APP20",
 0x2066 : "ID_AT_MNTN_RESULT_APP21",
 0x2067 : "ID_AT_MNTN_RESULT_APP22",
 0x2068 : "ID_AT_MNTN_RESULT_APP23",
 0x2069 : "ID_AT_MNTN_RESULT_APP24",
 0x206A : "ID_AT_MNTN_RESULT_APP25",
 0x206B : "ID_AT_MNTN_RESULT_APP26",
 0x206C : "ID_AT_MNTN_RESULT_APP27",
 0x206D : "ID_AT_MNTN_RESULT_APP28",
 0x206E : "ID_AT_MNTN_RESULT_APP29",
 0x206F : "ID_AT_MNTN_RESULT_APP30",
 0x2070 : "ID_AT_MNTN_RESULT_APP31",
 0x2071 : "ID_AT_MNTN_RESULT_APP32",
 0x2072 : "ID_AT_MNTN_RESULT_APP33",
 0x2073 : "ID_AT_MNTN_RESULT_APP34",
 0x2074 : "ID_AT_MNTN_RESULT_APP35",
 0x2075 : "ID_AT_MNTN_RESULT_APP36",
 0x2076 : "ID_AT_MNTN_RESULT_APP37",
 0x2077 : "ID_AT_MNTN_RESULT_APP38",
 0x2078 : "ID_AT_MNTN_RESULT_APP39",
 0x2079 : "ID_AT_MNTN_RESULT_APP40",
 0x207A : "ID_AT_MNTN_RESULT_APP41",
 0x207B : "ID_AT_MNTN_RESULT_APP42",
 0x207C : "ID_AT_MNTN_RESULT_APP43",
 0x207D : "ID_AT_MNTN_RESULT_APP44",
 0x207E : "ID_AT_MNTN_RESULT_APP45",
 0x207F : "ID_AT_MNTN_RESULT_APP46",
 0x2080 : "ID_AT_MNTN_RESULT_APP47",
 0x2081 : "ID_AT_MNTN_RESULT_APP48",
 0x2082 : "ID_AT_MNTN_RESULT_APP49",
 0x2083 : "ID_AT_MNTN_RESULT_APP50",
 0x2084 : "ID_AT_MNTN_RESULT_APP51",
 0x2085 : "ID_AT_MNTN_RESULT_APP52",
 0x20FD : "ID_AT_MNTN_RESULT_BROADCAST_MODEM_2",
 0x20FE : "ID_AT_MNTN_RESULT_BROADCAST_MODEM_1",
 0x20FF : "ID_AT_MNTN_RESULT_BROADCAST_MODEM_0",
 0x2101 : "ID_AT_MNTN_PC_REPLAY_CLIENT_TAB",
 0x2102 : "ID_AT_MNTN_PC_REPLAY_MSG",
 0x2201 : "ID_AT_MNTN_INPUT_MSC",
 0x2202 : "ID_AT_MNTN_OUTPUT_MSC",
 0x2203 : "ID_AT_MNTN_START_FLOW_CTRL",
 0x2204 : "ID_AT_MNTN_STOP_FLOW_CTRL",
 0x2205 : "ID_AT_MNTN_REG_FC_POINT",
 0x2206 : "ID_AT_MNTN_DEREG_FC_POINT",
 0x2301 : "ID_AT_MNTN_RPT_PORT",
 0x2401 : "ID_AT_MNTN_PS_CALL_ENTITY_RPT",
}

def get_at_at_msg_str( MsgId):
    for MsgIdIndex in at_at_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return at_at_msg_enum_table[MsgIdIndex]

    return "none"